Subject: Re: [bug#44896] Help with Bear

From: 宋文武 <[email-masked]>
Date: Sun, 06 Dec 2020 17:08:04 +0800

Brett Gilio <[email-masked]> writes:

> Hey all,
>
> I have been trying to update our bear package. This package makes rather
> extensive use of the filesystem module introduced around GCC 5.5.x.
>
> As the filesystem module was not stabilized until after CXX17, and in
> GCC 8+, and we are using GCC 7.5.0, there are a number of work arounds
> that need to be done to get this package compliant with building against
> 7.5.0.
>

You can provide ‘gcc-8’ as a ‘native-inputs’ for the bear package (see
‘guix edit waybar’ for an example), which should make <filesystem>
works.